Subject: Upgrade to Linux-0.99.7A/xiafspgm-0.8.1
From: [email-masked] (Qi Xia)
Date: 23 Mar 1993 15:30:47 GMT
Newsgroups: comp.os.linux.announce

Probably, I did not make it clear enough in the previous post.
Let me try again.

Linus announced Linux-0.99.7A public kernel release today (which 
is newer than Linux-0.99.7). Linux-0.99.7A contains the missing part of 
xiafs of Linux-0.99.7. It will work on existing xiafs filesystem.
If you have xiafs filesystem, you should upgrade to new xiafs util programs.
Sure, the new user should use new utilities too.

This is the FINAL semi-incompatible upgrade. I squeezed 10 bytes from
the earlier version (0.7.2 and earlier) inode structure for furture 
expansion. The earlier version assume this 10 bytes are all zore. 
That is why once you have run new xfsck you shall not run old xfsck any more.
The possible future expansion (I do not see it will happen soon.) will not
have incompatible problem because

1). Simple there are no more space can be squeezed out.
2). After upgrade, there are still 7 bytes reserved for future use.
3). xiafs 0.7.3, xiafs in 0.99.7A and later will not make any assumption 
    on these reserved bytes.
4). In case this 7 bytes is not enough (this is even less foresee-able), 
    we need inode version 2. If this is the case, A different super
    magic number will be used to distinguish the different versions.
    Users will not suffer from incompatible upgrade.

The README.upgrade file in xiafspgm-0.8.1 is attached.
======================================================================

Which version of xiafspgm works with which kernel version ?	
	xiafspgm 0.8, 0.8.1 work with Linux/xiafs-0.7.3, Linux-0.99.7A.
	xiafspgm 0.7.1 works with xiafs-0.7.3 and/or earlier version. 

!!! DO NOT USE xiafspgm-0.7.1 OR EARLIER VERSION AFTER YOU HAVE RUN 
(0.8/0.8.1) xfsck.

To upgrade to Linux-0.99.7A/xiafspgm-0.8.1, do

1). Compile 0.99.7A kernel and xiafspgm-0.8.1 under any version.

2). Install the kernel (one may use mkboot included in xiafspgm-0.8.1).

3). Boot the new kernel, and make sure the new kernel works for you.

4). Run (0.8.1) "xfsck -a /dev/xxx", xfsck will report many "bad i_blocks".
    You can safely ignore this error message when you run xfsck first
    time.
    
5). replace old xiafs and xfsck with new ones.

If you want to check filesystem during booting, put "xfsck -r <whatever>"
in "/etc/rc". In any case, do not use "xfsck -a" unless you know what
you are doing.

-- 
Send submissions for comp.os.linux.announce to: [email-masked]